/******************************************************************************/
/* AEL Sarl : Web hosting, datacenter, gestion et comptabilit dportes      */
/* Copyright (C) 2008 Affaires En Ligne S.A.R.L.                              */
/* Contact : contact@affaires-en-ligne.fr                                     */
/* Web : http://www.spidboutic.fr                                             */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/**
 * @classDescription Un observateur pour l'onglet A Deja Partenaire de l'assistant
 * @return {Object} retourne un nouvel objet AssistantADejaPartenaire
 * @constructor
 * @inherits AssistantObservateur
 * @param {Object} id    identifiant de l'objet observateur
 */
function AssistantADejaPartenaire(id) {
    AssistantObservateur.call(this, id);
}

heriter(AssistantObservateur.prototype, AssistantADejaPartenaire.prototype);

AssistantADejaPartenaire.prototype.enregistrer = function(prospect) {
    enregistrerDemandePlaquette(prospect);
}

AssistantADejaPartenaire.prototype.reset = function(){
    resetDemandePlaquette();
}

AssistantADejaPartenaire.prototype.init = function() {
    initDemandePlaquette();
}

// cration de l'observateur qui s'enregistre automatiquement
ajouterObservateur(new AssistantADejaPartenaire("overlay_a_deja_partenaire"));


