

/**
 * @classDescription Un observateur pour l'onglet A Recontacter de l'assistant
 * @return {Object} retourne un nouvel objet AssistantARecontacter
 * @constructor
 * @inherits AssistantObservateur
 * @param {Object} id    identifiant de l'objet observateur
 */
function AssistantARecontacter(id) {
    AssistantObservateur.call(this, id);
    this.planningRecontact = new DateHeureWidget("jour_recontact", "mois_recontact",
                                                 "annee_recontact", "heure_recontact",
                                                 "minute_recontact");
}

heriter(AssistantObservateur.prototype, AssistantARecontacter.prototype);

AssistantARecontacter.prototype.enregistrer = function(prospect) {
    prospect.Date_Recontact = this.planningRecontact.getPlanning();
}

AssistantARecontacter.prototype.reset = function() {
    this.planningRecontact.setDateHeure("", "", (new Date()).getFullYear(), "", "00");
}

AssistantARecontacter.prototype.init = function() {
    this.reset();
    document.getElementById("jour_recontact").focus();
}

var go_assistant_a_recontacter = new AssistantARecontacter("overlay_a_recontacter");
// cration de l'observateur qui s'enregistre automatiquement
ajouterObservateur(go_assistant_a_recontacter);


