/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


jsLoader.loadSubScript("chrome://opensi/content/libs/verif.js");


var gTimeoutConnect = null;

function init() {
  try {

		var x = (screen.width / 2) - 300;
    var y = (screen.height / 2) - 230;
		window.resizeTo(600,460);
    window.moveTo(x,y);

    document.getElementById('version').value = "OpenSi - vers. "+ get_version();
    if (get_pref_login_check()) {
      document.getElementById('login_check').checked = true;
      if (get_pref_password_check()) {
        document.getElementById('password_check').checked = true;
      }
      else {
        document.getElementById('password_check').removeAttribute("Checked");
      }
    }
    else {
      document.getElementById('login_check').removeAttribute("Checked");
    }


		var module = get_pref_module();

    document.getElementById('liste').value = module;

		if (module=='Superviseur') {
      affichPassword();
    }
		else {
      affichTout();
    }

  } catch (e) {
    recup_erreur(e);
  }
}


function affiche_param() {
  try {

    document.getElementById('parambutton').collapsed = true;
    document.getElementById('paramavances').collapsed = false;
    document.getElementById('ipserveur').value = get_pref_ipserveur();
    document.getElementById('servlet').value = get_pref_servlet();
    document.getElementById('porttomcat').value = get_pref_porttomcat();
    document.getElementById('is_ssl').checked = get_pref_ssl();

  } catch (e) {
    recup_erreur(e);
  }
}


function checkLogin() {
  try {

		var oklog = true;

    if (!document.getElementById('paramavances').collapsed) {

			var ipserveur = document.getElementById('ipserveur');
    	var porttomcat = document.getElementById('porttomcat');
    	var servlet = document.getElementById('servlet');

    	if (isEmpty(ipserveur.value) || isEmpty(porttomcat.value)) {
      	alert("Vous devez prciser l'adresse et le port du serveur OpenSi");
      	ipserveur.focus();
				oklog = false;
    	}
    	else if (isEmpty(servlet.value)) {
      	alert("Vous devez prciser le nom du servlet sur le serveur OpenSi");
      	porttomcat.focus();
				oklog = false;
    	}
			else {
				set_pref_ipserveur(document.getElementById('ipserveur').value);
      	set_pref_porttomcat(document.getElementById('porttomcat').value);
      	set_pref_servlet(document.getElementById('servlet').value);
      	set_pref_ssl(document.getElementById('is_ssl').checked);
			}
    }

		if (oklog) {
			var entreprise = document.getElementById('Entreprise');
			var login = document.getElementById('login');
    	var passwd = document.getElementById('password');

			if (isEmpty(login.value)) {
      	login.focus();
    	}
			else if (isEmpty(passwd.value)) {
      	passwd.focus();
    	}
			else if (isEmpty(entreprise.value)) {
      	entreprise.focus();
    	}
			else {
    		var corps = "Page=Login.tmpl&ContentType=xml&Login="+ login.value +"&Password="+ passwd.value +"&Entreprise="+ entreprise.value +"&os="+ get_os();

				requeteHTTP(corps,new XMLHttpRequest(),checkLogin2);
				document.getElementById('ok').disabled = true;
				document.getElementById( 'label_connect_msg' ).value = 'Connexion en cours...';
				if ( gTimeoutConnect ) clearTimeout( gTimeoutConnect );
				gTimeoutConnect = setTimeout("timeoutConnect()", 6*1000 );
			}
		}

  } catch(e) {
    recup_erreur(e);
  }
}

function timeoutConnect() {
	document.getElementById( 'label_connect_msg' ).value = "Connexion au serveur impossible. Vrifiez vos paramtres.";
	document.getElementById('ok').disabled = false;
}

function checkLogin2(httpRequest) {
  try {
		clearTimeout( gTimeoutConnect );
    // if(httpRequest.readyState != 4) return false;
    //4==document completement charge; 1==en cours; 2==charge; 3==interactif 0==initialise

    if (httpRequest.status == "0") {
      enableAll();
      timeoutConnect();
      return false;
    }

    if ( httpRequest.status != "200" ) {
      alert("Rception erreur "+ httpRequest.status);
      enableAll();
      timeoutConnect();
 	 	} else {

     var contenu=httpRequest.responseXML;
      if (contenu == null) {
        alert("Le serveur ncessite une connexion scurise. Veuillez cocher la case correspondante dans les paramtres avancs.");
        window.location = "chrome://opensi/content/login.xul";
        return -1;
      } else {

        var session = contenu.documentElement;
        var valcookie = session.getAttribute('cookie');
        document.getElementById('valcookie').value = valcookie;

        if (valcookie=="") {
          alert('Login incorrect');
          window.location = "chrome://opensi/content/login.xul";
          return -1;
        } else {

          var user = session.getElementsByTagName('user')[0];
          var numversion = user.getAttribute('numversion');
          var versionok = user.getAttribute('databaseversion')=="true";
          var releasename = user.getAttribute('releasename');
          var clientrelease = user.getAttribute('clientrelease');
          var minrelease = user.getAttribute('minrelease');
          var currentrelease = user.getAttribute('currentrelease');
          var urlupdate = user.getAttribute('urlupdate');

					versionok=true; // a enlever quand la gestion de la version de la base de donnes sera fonctionnel
					if (!versionok) {
						versionok=confirm("la base de donnes n'est pas cohrente avec votre version d'OpenSi, veuillez contacter votre administrateur,     tes vous sr de vouloir continuer?");
					}
          if (!versionok) {
 				    enableAll();
			      timeoutConnect();
          }

          if (numversion != get_num_version() || clientrelease != get_release() || minrelease > get_sous_release()) {

            var url = "update.html?";
            url += "numversion="+ numversion;
            url += "&releasename="+ releasename;
            url += "&clientrelease="+ clientrelease;
            url += "&urlupdate="+ urlupdate;
            window.location = url;

          } else if (currentrelease > get_sous_release()) {

            var msg = "Une mise  jour (version "+ numversion +"."+ clientrelease +"."+ currentrelease +") est disponible\n";
            msg += "Voulez vous mettre  jour votre application ?";
            if (confirm(msg)) {
              window.location = "update2.html?urlupdate="+ urlupdate;
            } else {
              checkLogin3(user);
            }

          } else {
            checkLogin3(user);
          }
        }
      }
    }

  } catch(e) {
		recup_erreur(e);
    enableAll();
  }
}


function checkLogin3(user) {
  try {

    var utilisateur = user.getAttribute('id');
    document.getElementById('utilisateur').value = utilisateur;
    if (isEmpty(utilisateur)) {
      alert('Login incorrect');
      window.location = "chrome://opensi/content/login.xul";
      return -1;
    } else {
      var url="";
      var root = user.getAttribute('root');
      var choix = document.getElementById('liste').value;
      set_pref_module(choix) ;

      if (root == "true") {
        switch (choix) {
          case 'Configuration' :
            url = "chrome://opensi/content/config/main.xul";
            break;
          case 'Superviseur' :
            url = "chrome://opensi/content/superviseur/main.xul";
            break;
          default:
            alert('Login incorrect');
            window.location = "chrome://opensi/content/login.xul";
            return -1;
            break;
          }
			}
			else {
				var entreprise = document.getElementById('Entreprise').value;
			  var login = document.getElementById('login').value;
		    var password = document.getElementById('password').value;
				var administrateur = user.getAttribute('administrateur');

		    /* traite le cas de mmorisation d'identification */
		    if ( document.getElementById('login_check').checked) {
					set_pref_entreprise(document.getElementById('Entreprise').value);
		      set_pref_login(document.getElementById('login').value);
		      set_pref_login_check(document.getElementById('login_check').checked);
		      if ( document.getElementById('password_check').checked) {
		        set_pref_password(document.getElementById('password').value);
		        set_pref_password_check(document.getElementById('password_check').checked);
		      }
		      else {
		        set_pref_password("");
		        set_pref_password_check(false);
		       }
		    }
		    else {        /* sinon, supprime les informations des prfrences */
		      set_pref_login("");
					set_pref_entreprise("");
		      set_pref_login_check(false);
		      set_pref_password("");
		      set_pref_password_check(false);
		    }
				var url;
        switch (choix) {
          case 'Compta':
            url = "chrome://opensi/content/compta/user/main.xul";
            break;
          case 'Facturation':
            url = "chrome://opensi/content/facturation/user/main.xul";
            break;
		  case 'Web':
            url = "chrome://opensi/content/web_manager/main.xul";
            break;
          case "CRM":
              var url = "chrome://opensi/content/crm/user/main.xul";
              break;
          case 'Pdv':
              var url = "chrome://opensi/content/pdv/user/main.xul";
              break;
          case 'Configuration':
            url = "chrome://opensi/content/config/main.xul";
            break;
          case 'Utilisateurs':
						if (administrateur=="true") {
            	url = "chrome://opensi/content/utilisateurs/main.xul";
						}
						else {
							alert("Vous n'avez pas les droits d'accs au module Gestion des utilisateurs");
            	window.location = "chrome://opensi/content/login.xul";
            	return -1;
						}
						break;
          default:
            alert('Login incorrect');
            window.location = "chrome://opensi/content/login.xul";
            return -1;
            break;
        }
      }

      window.open(url,'main','chrome,resizable');
    }

  } catch(e) {
		recup_erreur(e);
    enableAll();
  }
}


function keypress(e) {
  try {

    if (e.keyCode==13) {
      checkLogin();
    }

  } catch (e) {
    recup_erreur(e);
  }
}


function enableAll() {
  try {

    document.getElementById('ok').disabled = false;

  } catch (e) {
    recup_erreur(e);
  }
}


function affichPassword() {
  try {

    document.getElementById('login').collapsed = true;
		document.getElementById('Entreprise').collapsed = true;
    document.getElementById('logintexte').collapsed = true;
		document.getElementById('lblEntreprise').collapsed = true;
    document.getElementById('login').disabled = true;
		document.getElementById('Entreprise').disabled = true;
    document.getElementById('password').value="";
    document.getElementById('password').focus();
    document.getElementById('login_check').collapsed=true;
    document.getElementById('password_check').collapsed=true;
		document.getElementById('login').value = "root";
		document.getElementById('Entreprise').value = "root";
    check_login();

	} catch (e) {
    recup_erreur(e);
  }
}


function check_login() {
  try {

    if ( document.getElementById('login_check').checked) {
      document.getElementById('password_check').disabled=false;
    }
    else {
      document.getElementById('password_check').disabled=true;
    }
	} catch (e) {
    recup_erreur(e);
  }
}


function affichTout() {
  try {

		if (document.getElementById('login').value == "root") {
      document.getElementById('login').value = "";
			document.getElementById('Entreprise').value = "";
    }
    document.getElementById('login').disabled = false;
		document.getElementById('Entreprise').disabled = false;
    document.getElementById('login').collapsed = false;
    document.getElementById('logintexte').collapsed = false;
		document.getElementById('lblEntreprise').collapsed = false;
		document.getElementById('Entreprise').collapsed = false;
    document.getElementById('login').focus();
    if ( document.getElementById('login_check').checked) {
      document.getElementById('login').value = get_pref_login();
			document.getElementById('Entreprise').value = get_pref_entreprise();
      if ( document.getElementById('password_check').checked) {
        document.getElementById('password').value = get_pref_password();
      }
      else {
        document.getElementById('password').focus();
      }
    }
    check_login();
    document.getElementById('login_check').collapsed = false;
    document.getElementById('password_check').collapsed = false;

  } catch (e) {
    recup_erreur(e);
  }
}


function opensiweb() {
  window.open('http://www.opensi.org');
}
