/******************************************************************************/
/* AEL Sarl : Web hosting, datacenter, gestion et comptabilité déportées      */
/* Copyright (C) 2008 Affaires En Ligne S.A.R.L.                              */
/* Contact : contact@affaires-en-ligne.fr                                     */
/* Web : http://www.spidboutic.fr                                             */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


package com.ael.crm.metier;

/**
 * Un prospect de la CRM
 * 
 * @author jm
 *
 */
public class Prospect {
	
	private String idProspect;
	private String raisonSociale;
	private long demandePlaquette = 0;
	private long dateRdv = 0;
	private long dateRecontact = 0;

	/**
	 * Construit un <code>Prospect</code>
	 * 
	 * @param	id	chaîne identifiante du prospect
	 * @param	rs	chaîne indiquant la raison sociale du prospect
	 */
	public Prospect (String id, String rs) {
		idProspect = id;
		raisonSociale = rs;
	}
	
	public void setIdProspect(String id) { idProspect = id; }
	public void setRaisonSociale(String rs) { raisonSociale = rs; }
	public void setDemandePlaquette(long demande) { demandePlaquette = demande; }
	public void setDateRdv(long rdv) { dateRdv = rdv; }
	public void setDateRecontact(long recontact) { dateRecontact = recontact; }
	
	public String getIdProspect() { return idProspect; }
	public String getRaisonSociale() { return raisonSociale; }
	public long getDemandePlaquette() { return demandePlaquette; }
	public long getDateRdv() { return dateRdv; }
	public long getDateRecontact() { return dateRecontact; }
}

